OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
GetValue< T > Struct Template Reference

Implements Tree::getValue(Coord), i.e. return the value associated with a specific coordinate `ijk`. More...

`#include <nanovdb/util/GridBuilder.h>`

## Static Public Member Functions
static auto | get (const BuildRoot< T > &root)
static auto | get (const BuildTile< T > &tile)
static auto | get (const BuildUpper< T > &node, uint32_t n)
static auto | get (const BuildLower< T > &node, uint32_t n)
static auto | get (const BuildLeaf< T > &leaf, uint32_t n)

## Detailed Description

template<typename T>
struct nanovdb::build::GetValue< T >

Implements Tree::getValue(Coord), i.e. return the value associated with a specific coordinate `ijk`.

Template Parameters

  BuildT | Build type of the grid being called

The value at a coordinate maps to the background, a tile value or a leaf value.

## Member Function Documentation

## ◆ get() [1/5]

template<typename T >

static auto get | ( | const BuildLeaf< T > & | leaf,
|  | uint32_t | n
| ) |  |
| inline static

## ◆ get() [2/5]

template<typename T >

static auto get | ( | const BuildLower< T > & | node,
|  | uint32_t | n
| ) |  |
| inline static

## ◆ get() [3/5]

template<typename T >

static auto get | ( | const BuildRoot< T > & | root | ) |
| inline static

## ◆ get() [4/5]

template<typename T >

static auto get | ( | const BuildTile< T > & | tile | ) |
| inline static

## ◆ get() [5/5]

template<typename T >

static auto get | ( | const BuildUpper< T > & | node,
|  | uint32_t | n
| ) |  |
| inline static